package org.gcube.portlets.user.geoportaldataentry.client;

import static org.gcube.application.geoportal.client.GeoportalAbstractPlugin.mongoConcessioni;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import org.gcube.application.geoportal.common.model.legacy.Concessione;
import org.gcube.application.geoportal.common.rest.MongoConcessioni;
import org.gcube.common.authorization.library.provider.SecurityTokenProvider;
import org.gcube.common.scope.api.ScopeProvider;

public class TestClass {


	private static String TOKEN = "";
	private static String CONTEXT ="/gcube/devsec/devVRE";
	
	
	public static void main(String[] args) throws Exception {
		ScopeProvider.instance.set(CONTEXT);
		SecurityTokenProvider.instance.set(TOKEN);
		
//		LocalDateTime ldt = ConvertToServiceModel.toLocalDateTime("2020-10-01 10:20");
//		System.out.println(ldt.toString());
//
//		String latitudine = "-899.2986";
//		// System.out.println(latitudine.matches("^[-]?(180(\\.0+)?|((1[0-7]\\d)|([1-9]?\\d))(\\.\\d+)?)$"));
//
//		String longitude = "0";
//		System.out.println(longitude.matches("\\s*[-+]?(180(\\.0+)?|((1[0-7]\\d)|([1-9]?\\d))(\\.\\d+)?)$"));
//
//		GeoportalDataEntryServiceImpl g = new GeoportalDataEntryServiceImpl();
//		g.getLinksFor("", ConstantsGeoPortalDataEntryApp.RECORD_TYPE.CONCESSIONE.toString());
		
		getListOfConcessioni();

	}

	public static void getListOfConcessioni() throws Exception {
		MongoConcessioni clientMongo = mongoConcessioni().build();
		Iterator<Concessione> concessioni = clientMongo.getList();
		List<Concessione> listOfConcessioni = new ArrayList<Concessione>();
		if (concessioni != null) {
			while (concessioni.hasNext()) {
				Concessione concessione = (Concessione) concessioni.next();
				listOfConcessioni.add(concessione);
				
			}
		}
		int i = 0;
		for (Concessione concessione : listOfConcessioni) {
			System.out.println(++i+" "+concessione);
		}
	}

}
